#
# spec file for package perl-Tie-IxHash (Version 1.21)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Tie-IxHash
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     perl_tie
Obsoletes:    perl_tie
Autoreqprov:  on
Summary:      perl module TieIxHash
Version:      1.21
Release:      117
Source:       Tie-IxHash-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
If you have been led to believe that associative arrays in perl
don't preserve order, and if you have ever craved for that feature,
this module is for you.

SuSE series: perl

%prep
%setup -n Tie-IxHash-%{version}

%build
perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod \
 | sed "s@$RPM_BUILD_ROOT@@g" \
 > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Tie-IxHash
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Tie/IxHash
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%doc README MANIFEST Changes
%doc %{_mandir}/man3/*
/usr/lib/perl5/site_perl/5.*/Tie
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Tie/IxHash
/var/adm/perl-modules/perl-Tie-IxHash

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Tie-IxHash
* Tue Nov 07 2000 - ro@suse.de
- renamed package perl_tie to perl-Tie-IxHash
* Mon Sep 25 2000 - ro@suse.de
- fixed filelist
* Mon Sep 25 2000 - ro@suse.de
- created package
